function [Center_of_Mass_Leaders,Updated_Positionsi]=Plot_Evolution_Wolves(Search_Space,Set_a_Values,Nb_Runs,Current_Positionsi,Alpha_pos,Beta_pos,Delta_pos)

Nb_Iter=length(Set_a_Values);


Leaders=[Alpha_pos;Beta_pos;Delta_pos];
Center_of_Mass_Leaders=mean(Leaders);
Current=[Current_Positionsi];


NormCenter_of_Mass_Leaders=norm(Center_of_Mass_Leaders);
NormLeaders=[norm(Alpha_pos),norm(Beta_pos),norm(Delta_pos)];


figure(2)
hold on
%Nb_Wolves=size(Wolves,1);

SizePlot_Leaders = linspace(500,150,3);
ColorPlot_Leaders=[1 0 0;0 1 0;0 0 1];
scatter(Leaders(:,1),Leaders(:,2),SizePlot_Leaders,ColorPlot_Leaders,'fill')

SizePlot_CenterofMass=mean(SizePlot_Leaders);
ColorPlot_CenterofMass=[1 0.5 0.5];
scatter(Center_of_Mass_Leaders(:,1),Center_of_Mass_Leaders(:,2),SizePlot_CenterofMass,ColorPlot_CenterofMass,'fill')

SizePlot_Current=90;
ColorPlot_Current=1.0*[0.0 0.0 0.0];
scatter(Current(:,1),Current(:,2),SizePlot_Current,ColorPlot_Current,'fill')


xlim([Search_Space(1) Search_Space(end)])
ylim([Search_Space(1) Search_Space(end)])
hold on

Set_Size_Updated=linspace(30,30,length(Set_a_Values));
Set_Color_Updated=0.9999*linspace(0,Nb_Iter,Nb_Iter)/Nb_Iter;
SetNormXs=zeros(Nb_Iter,3);
SetnormUpdated_Positionsi=zeros(Nb_Iter,1);

print -depsc -r650 PositionsLeaders

count=0;
for a=Set_a_Values
count=count+1;
    %a
    Mean_Updated_Positionsi=zeros(size(Current_Positionsi));
    for inrun=1:Nb_Runs    
    [Updated_Positionsi,normXs,normUpdated_Positionsi]=Study_Update_Rules_GWO(a,Current_Positionsi,Alpha_pos,Beta_pos,Delta_pos);
Mean_Updated_Positionsi=Mean_Updated_Positionsi+Updated_Positionsi;
    end
Mean_Updated_Positionsi=Mean_Updated_Positionsi/Nb_Runs;
pause(0.1)

Size_Updated=Set_Size_Updated(count);
Color_Updated=1.0*Set_Color_Updated(count)*ones(1,3);



scatter(Mean_Updated_Positionsi(:,1),Mean_Updated_Positionsi(:,2),Size_Updated,Color_Updated,'fill')

SetNormXs(count,:)=normXs;
SetnormUpdated_Positionsi(count,:)=normUpdated_Positionsi;

end
print -depsc -r650 Positions


% 
% %%% Plot the function values
% function_Name='NDparabola';
% x = linspace(Search_Space(1),Search_Space(end));
% y = linspace(Search_Space(1),Search_Space(end));
% [X,Y] = meshgrid(x,y);
% 
% Z=zeros(size(X));
% for i=1:length(x)
% for j=1:length(y)
% Z(i,j) = feval(function_Name,[x(i),y(j)]);
% end
% end
% 
% contour(X,Y,Z)

hold off

figure(3)
RepNormLeaders=repmat(NormLeaders,size(SetNormXs,1),1);
RepNormCenter_of_Mass_Leaders=repmat(NormCenter_of_Mass_Leaders,size(SetNormXs,1),1);

for ind=1:size(SetNormXs,2)
plot(SetNormXs(:,ind),'Color',ColorPlot_Leaders(ind,:))
hold on
plot(RepNormLeaders(:,ind),'Color',ColorPlot_Leaders(ind,:))
end
plot(SetnormUpdated_Positionsi(:,1),'Color',ColorPlot_Current)
plot(RepNormCenter_of_Mass_Leaders(:,1),'Color',ColorPlot_CenterofMass)

disp(['red: Xalpha ','green: Xbeta ',' blue: Xdelta '])
disp([' black: Updated ',' salmon: Centermass'])

hold off







end

